Package ru.bitel.bgbilling.kernel.contract.balance.server.bean

# Record Class BalanceDao.ServiceAccountData

java.lang.Object
java.lang.Record
ru.bitel.bgbilling.kernel.contract.balance.server.bean.BalanceDao.ServiceAccountData

Enclosing class:
  `BalanceDao`

public static record BalanceDao.ServiceAccountData(int serviceId, BigDecimal account) extends Record

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ServiceAccountData(int serviceId, BigDecimal account)`
  Creates an instance of a `ServiceAccountData` record class.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `BigDecimal`
  `account()`
  Returns the value of the `account` record component.
  `final boolean`
  `equals(Object o)`
  Indicates whether some other object is "equal to" this one.
  `final int`
  `hashCode()`
  Returns a hash code value for this object.
  `int`
  `serviceId()`
  Returns the value of the `serviceId` record component.
  `final String`
  `toString()`
  Returns a string representation of this record class.

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ServiceAccountData

    public ServiceAccountData(int serviceId, BigDecimal account)
    Creates an instance of a `ServiceAccountData` record class.
    Parameters:
      `serviceId` - the value for the `serviceId` record component
      `account` - the value for the `account` record component

- ## Method Details

  - ### toString

    public final String toString()
    Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.
    Specified by:
      `toString` in class `Record`
    Returns:
      a string representation of this object

  - ### hashCode

    public final int hashCode()
    Returns a hash code value for this object. The value is derived from the hash code of each of the record components.
    Specified by:
      `hashCode` in class `Record`
    Returns:
      a hash code value for this object

  - ### equals

    public final boolean equals(Object o)
    Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. Reference components are compared with `Objects::equals(Object,Object)`; primitive components are compared with '=='.
    Specified by:
      `equals` in class `Record`
    Parameters:
      `o` - the object with which to compare
    Returns:
      `true` if this object is the same as the `o` argument; `false` otherwise.

  - ### serviceId

    public int serviceId()
    Returns the value of the `serviceId` record component.
    Returns:
      the value of the `serviceId` record component

  - ### account

    public BigDecimal account()
    Returns the value of the `account` record component.
    Returns:
      the value of the `account` record component